Name:            perl-Gedcomlite
Version:         1.16
Release:         %mkrel 6
Summary:         Genealogy perl module
Group:           Development/Perl
License:         GPLv2
URL:             http://sourceforge.net/projects/rodovid
Source0:         https://sourceforge.net/projects/rodovid/files/0.3.16/linux/%{name}-%{version}.tar.bz2
BuildRequires:   make
BuildRequires:   perl(Text::Soundex)
BuildRequires:   perl(ExtUtils::MakeMaker)
BuildRequires:   perl(Test::Simple)
BuildArch:       noarch

%description
Provides GEDCOM format for Perl. It's Lite version of GEDCOM.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
#make test

%install
%makeinstall_std
pushd %{buildroot}%{_mandir}/man3
gzip *
popd
#move tmp file
find %{buildroot} -name perllocal.pod -exec rm -f {} \;
find %{buildroot} -name .packlist -exec rm -f {} \;

%files
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.16-6.mga6
+ Revision: 1027706
- Rebuild for perl 5.22.2

* Thu Apr 07 2016 daviddavid <daviddavid> 1.16-5.mga6
+ Revision: 999188
- disable parallel build (breaks generation of auto-provide)

* Thu Apr 07 2016 umeabot <umeabot> 1.16-4.mga6
+ Revision: 999106
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild

  + alexl <alexl>
    - used macroses make and makeinstall_std

* Tue Sep 16 2014 umeabot <umeabot> 1.16-2.mga5
+ Revision: 684835
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 alexl <alexl> 1.16-1.mga5
+ Revision: 637939
- imported package perl-Gedcomlite

